This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 466068 - RFE: Migrate to C foomatic once feasible
RFE: Migrate to C foomatic once feasible
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: foomatic (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: Tim Waugh
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F11Target
  Show dependency treegraph
 
Reported: 2008-10-07 22:11 EDT by W. Michael Petullo
Modified: 2009-10-11 05:58 EDT (History)
1 user (show)

See Also:
Fixed In Version: foomatic-4.0.0-1.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-19 07:32:48 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description W. Michael Petullo 2008-10-07 22:11:38 EDT
Description of problem:
The foomatic utility is written primarily in perl. Once may wish to use cups + foomatic on a system without depending on perl (e.g., a small, embedded system). A C-based foomatic is being worked on. See http://forums.linux-foundation.org/read.php?34,109. 

Version-Release number of selected component (if applicable):
foomatic-3.0.2-59.fc9.i386

How reproducible:
Every time

Steps to Reproduce:
Notice that cups requires foomatic and foomatic is written in perl.
  
Actual results:


Expected results:


Additional info:
See also bug #465157, move cups perl backends into sub package.
Comment 1 W. Michael Petullo 2009-10-11 05:58:59 EDT
The foomatic-rip included in foomatic-4.0.3-1.fc12.x86_64 is now a native binary. However, the package still relies on perl for some other components:

/usr/bin/foomatic-compiledb:                            a /usr/bin/perl script text executable
/usr/bin/foomatic-configure:                            a /usr/bin/perl -w script text executable
/usr/bin/foomatic-ppd-options:                          a /usr/bin/perl -w script text executable
/usr/bin/foomatic-ppd-to-xml:                           a /usr/bin/perl script text executable
/usr/bin/foomatic-ppdfile:                              a /usr/bin/perl script text executable
/usr/bin/foomatic-printjob:                             a /usr/bin/perl script text executable
/usr/bin/foomatic-searchprinter:                        a /usr/bin/perl script text executable
/usr/lib/cups/backend/beh:                              a /usr/bin/perl script text executable
/usr/lib/perl5/vendor_perl/5.10.0/Foomatic/DB.pm:       Perl5 module source text
/usr/lib/perl5/vendor_perl/5.10.0/Foomatic/Defaults.pm: Perl5 module source text
/usr/lib/perl5/vendor_perl/5.10.0/Foomatic/PPD.pm:      Perl5 module source text
/usr/lib/perl5/vendor_perl/5.10.0/Foomatic/UIElem.pm:   Perl5 module source text
/usr/sbin/foomatic-addpjloptions:                       a /usr/bin/perl script text executable
/usr/sbin/foomatic-cleanupdrivers:                      a /usr/bin/perl script text executable
/usr/sbin/foomatic-extract-text:                        a /usr/bin/perl -w   # -*- perl - script text executable
/usr/sbin/foomatic-fix-xml:                             a /usr/bin/perl script text executable
/usr/sbin/foomatic-kitload:                             a /usr/bin/perl script text executable
/usr/sbin/foomatic-nonumericalids:                      a /usr/bin/perl script text executable
/usr/sbin/foomatic-preferred-driver:                    a /usr/bin/perl script text executable
/usr/sbin/foomatic-printermap-to-gutenprint-xml:        a /usr/bin/perl script text executable
/usr/sbin/foomatic-replaceoldprinterids:                a /usr/bin/perl script text executable

Note You need to log in before you can comment on or make changes to this bug.